Page MenuHomePhabricator

[flang][openacc] Update serial construct clauses for OpenACC 3.1
ClosedPublic

Authored by clementval on Nov 25 2020, 12:24 PM.

Details

Summary

Update the allowed clauses for the SERIAL construct for the new OpenACC 3.1
specification.

Diff Detail

Unit TestsFailed

TimeTest
80 msx64 windows > LLVM.CodeGen/XCore::threads.ll
Script: -- : 'RUN: at line 1'; c:\ws\w32-1\llvm-project\premerge-checks\build\bin\llc.exe -march=xcore < C:\ws\w32-1\llvm-project\premerge-checks\llvm\test\CodeGen\XCore\threads.ll | c:\ws\w32-1\llvm-project\premerge-checks\build\bin\filecheck.exe C:\ws\w32-1\llvm-project\premerge-checks\llvm\test\CodeGen\XCore\threads.ll

Event Timeline

clementval created this revision.Nov 25 2020, 12:24 PM
Herald added a project: Restricted Project. · View Herald TranscriptNov 25 2020, 12:24 PM
clementval requested review of this revision.Nov 25 2020, 12:24 PM
clementval added a project: Restricted Project.Nov 25 2020, 12:29 PM

Push correct patch version

Thanks for the upgrade.
A comment below.

flang/test/Semantics/acc-clause-validity.f90
944

Adding clause except async and wait after device_type, will that be allowed ?

I see 3.0 had a restriction section(919) whereas 3.1 has no such restrictions, so does the relaxation from specification reflect in compiler as well?

there was one more
`At most one default clause may appear, and it must have a value of either none or
present.`
Other that none or present will they be allowed now?

clementval added inline comments.Dec 16 2020, 6:11 AM
flang/test/Semantics/acc-clause-validity.f90
944

Adding clause except async and wait after device_type, will that be allowed ?

No this is not allowed.

3.1 has the same restrictions as before for that but phrased differently
"(950) where clause is as for the parallel construct except that the num_gangs, num_workers, and"
"(951) vector_length clauses are not permitted."

So the default clause has the same restriction as parallel here as well

sameeranjoshi accepted this revision.Dec 17 2020, 1:43 AM
This revision is now accepted and ready to land.Dec 17 2020, 1:43 AM
This revision was landed with ongoing or failed builds.Dec 17 2020, 7:50 AM
This revision was automatically updated to reflect the committed changes.